# Uses of Class
org.apache.lucene.spatial.bbox.BBoxStrategy

Packages that use BBoxStrategy
Package
Description
org.apache.lucene.spatial.bbox
Bounding Box Spatial Strategy

- ## Uses of BBoxStrategy in org.apache.lucene.spatial.bbox

  Methods in org.apache.lucene.spatial.bbox that return BBoxStrategy
  Modifier and Type
  Method
  Description
  `static BBoxStrategy`
  BBoxStrategy.`newInstance(org.locationtech.spatial4j.context.SpatialContext ctx, String fieldNamePrefix)`
  Creates a new `BBoxStrategy` instance that uses `DoublePoint` and `DoublePoint.newRangeQuery(java.lang.String, double, double)`